Cyberduck Mountain Duck CLI

#6553 closed defect (worksforme)

Rackspace CDN Folder Upload Issue Mac

Reported by: Info (4) Owned by: Tom Mitchell
Priority: high Milestone:
Component: cloudfiles Version: 4.2.1
Severity: critical Keywords: rackspace, cdn, upload, mac, upload failed,
Cc: Architecture: Intel
Platform: Mac OS X 10.7

Description

I have hosting with Webfaction and plan on using the Rackspace CDN to serve image files.

To do this, I created a tar.bz2 of my home directory at webfaction. I downloaded this to my laptop and then extracted.

I established a connection with Rackspace using the preset favourite and the Rackspace API.

I dropped the img folder into a container I made in Rackspace and I was told 'upload failed'.

I then created the img folder within cyberduck and started individually adding its sub-folders. This worked until I hit one folder called 'p'.

'p' folder contains the main images for my site.

Part 2.

When I add 'p' folder by itself, all the directories are created and even the file name. eg: /p/1/0/0/0/1000-thickbox.jpg but the file is 0bytes. However, when I grab that file from my laptop, I'm able to drag it to its directory on Rackspace and it uploads fine.

Do you have any idea what could be causing this issue?

I have preferences for uploads set to change permissions to these permissions for folders: Read - Ow/Gr/Ot, Write - Ow, Execute - Ow/Gr/OT. For Files: Read - Ow/Gr/Ot, Write - Ow, Execute -

Change History (3)

comment:1 Changed on Mar 16, 2012 at 2:51:58 PM by dkocher

  • Milestone set to 4.3
  • Resolution set to worksforme
  • Status changed from new to closed

Cannot replicate this issue in the latest snapshot build.

comment:2 Changed on Apr 2, 2012 at 3:06:53 PM by dkocher

Duplicate for #6613.

comment:3 Changed on Mar 22, 2013 at 10:24:39 AM by dkocher

  • Milestone 4.4 deleted
Note: See TracTickets for help on using tickets.
swiss made software